Packages - Bug #1839

[libre/calibre] crash at startup
2018-06-06 03:42 PM - GNUtoo

Status: fixed % Done: 100%

Priority: bug

Assignee: ovruni

Category:

Description

Hi,

| installed calibre:

Name calibre

Version 3.20.0-1.parabolal

Description Ebook management application, without nonfree decompression engine for RAR archi
ves

Architecture x86_64

URL https://calibre-ebook.com/

Licenses GPL3

Groups None

Provides None

Depends On : python2-six python2-dateutil python2-cssutils python2-dukpy python2-mechaniz
e podofo libwmf chmlib python2-1xml libusbx python2-html5-parser python2-pillow shared-mim
e-info

python2-dnspython python2-msgpack python2-pygt5 python2-psutil icu libmtp

python2-dbus python2-netifaces python2-cssselect python2-apsw gt5-webkit gtb5-svg python2-reg
ex

python2-pygments mtdev desktop-file-utils gtk-update-icon-cache optipng udi
sks2

Optional Deps ipython2: to use calibre-debug [installed]

poppler: required for converting pdf to html [installed]

Required By None

Optional For None

Conflicts With None

Replaces None

Installed Size 92.95 MiB

Packager Andreas Grapentin <andreas@grapentin.org>
Build Date : mar. 10 avril 2018 21:22:26 CEST

Install Date : mar. 29 mai 2018 15:28:51 CEST

Install Reason : Explicitly installed
Install Script : No
Validated By Signature

on the 64bit version of Parabola:

$ uname -m
x86_64

If I launch calibre from the console or graphically, a crash GUI appears with the following crash details:

calibre, version 3.20.0
ERROR: Startup error: There was an error during calibre startup. Parts of calibre may not function
Click Show details to learn more.

Traceback (most recent call last):
File "/usr/lib/calibre/calibre/gui2/main.py", line 300, in initialize_db_stage?2
self.start_gui (db)
File "/usr/lib/calibre/calibre/gui2/main.py", line 238, in start_gui
main.initialize(self.library_path, db, self.listener, self.actions)
File "/usr/lib/calibre/calibre/gui2/ui.py", line 255, in initialize
LayoutMixin.init_layout_mixin(self)

File "/usr/lib/calibre/calibre/gui2/init.py", line 566, in init_layout_mixin
self.vl_tabs = VLTabs (self)

File "/usr/lib/calibre/calibre/gui2/init.py", line 402, in __init___
self.setTabsClosable (gprefs['vl_tabs_closable'])

File "/usr/lib/calibre/calibre/utils/config.py", line 420, in _ getitem_
return self.defaults[key]

KeyError: 'vl_tabs_closable'

After that (at least if it was started from the console), after closing the crash dialog, it cannot even be closed normally, the only way to
stop it is to use kill -9.

History

#1 - 2018-07-13 04:52 PM - lenzj

Multiple people have been having the same issue. For a quick fix see notes in bug #1634

#2 - 2018-08-14 03:59 PM - ovruni
- % Done changed from 0 to 100
- Assignee set to ovruni

- Status changed from open to fixed

2024-04-18 22



https://labs.parabola.nu/issues/1634
http://www.tcpdf.org

